diff --git a/doc/CONFIG b/doc/CONFIG
index 91460566f5..2c31f37520 100644
--- a/doc/CONFIG
+++ b/doc/CONFIG
@@ -217,33 +217,23 @@ for each non 'List.' section found in the john.conf file. From that
 point on, the john-local.conf file is the users file. The version control
 system will not touch it, and configure will not touch it again.
 
-Multiple .pot files (new addition in 1.8-jumbo2)
-There has been a new section added to john, that allows john to read
-additional .pot files when it starts. These additional .pot files will
-be used to scrub off candidates which were already found, but which are
-not in the .pot file we want john to write to. This is an option that
-may likely will only benefit users during a contest, but can be useful for
-that purpose. This section is not 'part' of john proper. If you want this
-type of feature, you will have to add it to your john-local.conf file.
-Here is the layout of this section.
-[Options.ExtraPots]
-Pot1 = somefile.pot
-pot2 = someother.pot
-...
-Pot12 = mylast.pot
+See [List.Rules:Single-Extra] and several others around there for examples.
 
-There can be up to 100 extra .pots, john will load them in order. However,
-as soon as the loader code does not see the next key (PotXX), loading will
-end.  So if the section is this
-[Options.ExtraPots]
-Pot1 = somefile.pot
-pot2 = someother.pot
-Pot4 = wont_load.pot
 
-Then only somefile.pot and someother.pot will be loaded.  The Pot3= item
-was not in the list, so loading of extra pot files will cease.
+	Multiple .pot files (new addition in 1.8.0-jumbo-2)
 
-See [List.Rules:Single-Extra] and several others around there for examples.
+This new config list section allows john to read additional .pot files
+when loading hashes.
+
+[List.Extra:Potfiles]
+somefile.pot
+someother.pot
+...
+mylast.pot
+
+These additional .pot files will be used to scrub off candidates which
+were already found, but which are not in the .pot file we want john to
+write to.
 
 
 	Defining an external mode.
diff --git a/src/john.c b/src/john.c
index fd87162655..b4cca74904 100644
--- a/src/john.c
+++ b/src/john.c
@@ -1052,24 +1052,25 @@ static void john_load(void)
 			    database.format->params.format_name,
 			    database.format->params.algorithm_name);
 
-			// Tell External our max length
+			/* Tell External our max length */
 			if (options.flags & FLG_EXTERNAL_CHK)
 				ext_init(options.external, &database);
 		}
 
 		total = database.password_count;
 		ldr_load_pot_file(&database, pers_opts.activepot);
+
+		/* Load optional extra (read-only) pot files */
 		{
-			/* check for any 'extra' pots to load */
-			/* section is [Options.ExtraPots]      */
-			char name[8], *cp;
-			int i;
-			for (i = 1; i < 100; ++i) {
-				sprintf(name, "Pot%d", i);
-				cp = cfg_get_param(SECTION_OPTIONS, ".ExtraPots", name);
-				if (!cp)
-					break;
-				ldr_load_pot_file(&database, cp);
+			struct cfg_list *list;
+			struct cfg_line *line;
+
+			if ((list = cfg_get_list("List.Extra:", "Potfiles"))) {
+				if ((line = list->head)) {
+					do {
+						ldr_load_pot_file(&database, line->data);
+					} while ((line = line->next));
+				}
 			}
 		}
 
